summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authorkc8apf <kc8apf@b42882b7-edfa-0310-969c-e2dbd0fdcd60>2009-02-03 04:27:48 +0000
committerkc8apf <kc8apf@b42882b7-edfa-0310-969c-e2dbd0fdcd60>2009-02-03 04:27:48 +0000
commit6c3955231689831ebe7a8b59bd63ff51d175e7a6 (patch)
treed4293b407e539b36e98719a676b15225b6b77a68 /tools
parentce1a29725f8394f008812c3b3a8c60f03aaa08d1 (diff)
downloadopenocd+libswd-6c3955231689831ebe7a8b59bd63ff51d175e7a6.tar.gz
openocd+libswd-6c3955231689831ebe7a8b59bd63ff51d175e7a6.tar.bz2
openocd+libswd-6c3955231689831ebe7a8b59bd63ff51d175e7a6.tar.xz
openocd+libswd-6c3955231689831ebe7a8b59bd63ff51d175e7a6.zip
Add uncrustify config file and helper script
git-svn-id: svn://svn.berlios.de/openocd/trunk@1364 b42882b7-edfa-0310-969c-e2dbd0fdcd60
Diffstat (limited to 'tools')
-rwxr-xr-xtools/uncrustify1.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/tools/uncrustify1.sh b/tools/uncrustify1.sh
new file mode 100755
index 00000000..c301ec79
--- /dev/null
+++ b/tools/uncrustify1.sh
@@ -0,0 +1,30 @@
+#!/bin/sh
+# Run the beautifier "Uncrustify" on a single file.
+# Because the file "uncrustify.cfg" only exists in the top level of the project
+# you should run this script from there so this script can find your uncrustify.cfg file.
+
+
+UNCRUSTIFYTMP=/tmp/uncrustify.tmp
+
+
+if [ ! -f uncrustify.cfg ]; then
+ echo "unable to find uncrustify.cfg, aborting"
+ exit 1
+fi
+
+UNCRUSTIFYBIN=`which uncrustify`
+
+if [ "$UNCRUSTIFYBIN" = "" ]; then
+ echo "you must specify uncrustify in your PATH, I cannot find it"
+ exit 2
+fi
+
+if [ $# -lt 1 ]; then
+ echo "Usage $0 <filename .c or .h>"
+ exit 3
+fi
+
+uncrustify -c uncrustify.cfg <$1 >$UNCRUSTIFYTMP
+
+# you can comment this out while tuning the uncrustify.cfg file:
+mv $UNCRUSTIFYTMP $1